QueryException (Apache Geode 1.14.2)
Date: 2021-12-14

org.apache.geode.cache.query

## Class QueryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.geode.GemFireCheckedException
      - - org.apache.geode.cache.query.QueryException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    CqException, CqExistsException, FunctionDomainException, IndexCreationException, IndexExistsException, IndexNameConflictException, NameResolutionException, ParameterCountInvalidException, QueryInvocationTargetException, TypeMismatchException

      public class QueryException
      extends GemFireCheckedException

  Thrown during by the query engine during parsing or execution. Instances of subclasses are thrown for more specific exceptions.
  Since:
    GemFire 4.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryException()` Required for serialization
    `QueryException(String msg)` Constructor used by concrete subclasses
    `QueryException(String msg, Throwable cause)` Constructor used by concrete subclasses
    `QueryException(Throwable cause)` Constructor used by concrete subclasses

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.GemFireCheckedException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryException

          public QueryException()

      Required for serialization

    - #### QueryException

          public QueryException(String msg,
                                Throwable cause)

      Constructor used by concrete subclasses
      Parameters:
        `msg` - the error message
        `cause` - a Throwable cause of this exception

    - #### QueryException

          public QueryException(String msg)

      Constructor used by concrete subclasses
      Parameters:
        `msg` - the error message

    - #### QueryException

          public QueryException(Throwable cause)

      Constructor used by concrete subclasses
      Parameters:
        `cause` - a Throwable cause of this exception